<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Paciente{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre1,$nombre2,$apellido1,$apellido2,$fechanacimiento,$lugarnacimiento,$telefonohab,$telefonoofi,$telefonocel,$ocupacion,$direccion,$medico,$email,$diagnostico,$ci){
	$sql="INSERT INTO registro (nombre1,nombre2,apellido1,apellido2,fechanacimiento,lugarnacimiento,telefonohab,telefonoofi,telefonocel,ocupacion,direccion,medico,email,diagnostico,ci) VALUES ('$nombre1','$nombre2','$apellido1','$apellido2','$fechanacimiento','$lugarnacimiento','$telefonohab','$telefonoofi','$telefonocel','$ocupacion','$direccion','$medico','$email','$diagnostico','$ci')";
	return ejecutarConsulta($sql);
}

public function editar($idpaciente,$nombre1,$nombre2,$apellido1,$apellido2,$fechanacimiento,$lugarnacimiento,$telefonohab,$telefonoofi,$telefonocel,$ocupacion,$direccion,$medico,$email,$diagnostico,$ci){
	$sql="UPDATE registro SET nombre1='$nombre1', nombre2='$nombre2',apellido1='$apellido1',apellido2='$apellido2',fechanacimiento='$fechanacimiento',lugarnacimiento='$lugarnacimiento',telefonohab='$telefonohab',telefonoofi='$telefonoofi',telefonocel='$telefonocel',ocupacion='$ocupacion',direccion='$direccion',medico='$medico',email='$email',diagnostico='$diagnostico',ci='$ci'
	WHERE idpaciente='$idpaciente'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idpaciente){
	$sql="DELETE FROM registro WHERE idpaciente='$idpaciente'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpaciente){
	$sql="SELECT * FROM registro WHERE idpaciente='$idpaciente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM registro WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarclienteid($idpaciente){
	$sql="SELECT * FROM registro WHERE idpaciente='$idpaciente'";
	return ejecutarConsultaSimpleFila($sql);
}


//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM registro WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM registro WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listarc(){
	$sql="SELECT * FROM registro WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT * FROM registro";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

 ?>
